unit Settings_FilterRules;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmSettings_FilterRules = class(TForm)
    ListBox1: TListBox;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSettings_FilterRules: TfrmSettings_FilterRules;

implementation

{$R *.dfm}

uses Main,DataU1;

procedure TfrmSettings_FilterRules.Button1Click(Sender: TObject);
var str:string;
begin
  if(ListBox1.ItemIndex >= 0)then
    begin
      ListBox1.Items.Delete(ListBox1.ItemIndex);
      str := TheServerInfo.MailBoxPath+'FiltrtRules.txt';
      ListBox1.Items.SaveToFile(str);
      //----------------------------------------------------------------
      TheServerInfo.OnFilterEMail := nil;
      frmMain.FilterRuleList.Clear;
      frmMain.FilterRuleList.LoadFromFile(str);
      TheServerInfo.OnFilterEMail := frmMain.ExecuteMailFilterprocedure;
    end;//if...end!!
end;

procedure TfrmSettings_FilterRules.Button2Click(Sender: TObject);
var str:string;
   function FindStr(inStr:string):boolean;
   var i:integer;
   begin
     result := FALSE;
     for i := 0 to ListBox1.Items.Count-1 do
       begin
         if(inStr = ListBox1.Items[i])then
           begin
             result:= TRUE;
             Break;
           end;//if...end!!
       end;//for...i...end!!
   end;//sub...proc...end!!
begin
  if(trim(Edit1.Text) <> '')then
    begin
      if(FindStr(Edit1.Text) = False)then
        begin
          ListBox1.Items.Add(Edit1.Text);
          str := TheServerInfo.MailBoxPath+'FiltrtRules.txt';
          ListBox1.Items.SaveToFile(str);
          //----------------------------------------------------------------
          TheServerInfo.OnFilterEMail := nil;
          frmMain.FilterRuleList.Clear;
          frmMain.FilterRuleList.LoadFromFile(str);
          TheServerInfo.OnFilterEMail := frmMain.ExecuteMailFilterprocedure;
        end;//if...end!!
    end;//if...end!!
end;

procedure TfrmSettings_FilterRules.FormCreate(Sender: TObject);
var str:string;
begin
  str := TheServerInfo.MailBoxPath+'FiltrtRules.txt';
  ListBox1.Items.Clear;
  if(FileExists(str) = TRUE)then
    ListBox1.Items.LoadFromFile(str);
end;

procedure TfrmSettings_FilterRules.ListBox1Click(Sender: TObject);
begin
  if(ListBox1.ItemIndex >= 0)then
    Edit1.Text := ListBox1.Items[ListBox1.ItemIndex];
end;

end.
